# When updating the file paths use a forward slash C:/foo/data.csv or two backward slashes C:\\foo\\data.csv

matrix_discount_factor = read.csv("C:/marketdata/discount_factors.csv")

for(fp_cashflow in list.files("C:/cashflows/","*.csv", full.names=TRUE)) {		# list.files searches a directory and returns a list of files, here we filter for files ending with .csv
  
  matrix_cashflows = read.csv(fp_cashflow)
  
  matrix_discounted_cashflows = matrix_cashflows * matrix_discount_factor
  
  avg_discounted_cashflow = colMeans(matrix_discounted_cashflows) # could also use the more flexible 'apply' function, apply(matrix_discounted_cashflows, 2, mean)
  
  output = cbind(output, avg_discounted_cashflow)
}

write.csv(output, "C:/marketdata/expected_cashflows.csv")
