# When updating the file paths use a forward slash C:/foo/data.csv or two backward slashes C:\\foo\\data.csv

library(mvtnorm)	# library(MASS)	- You can also use the MASS library and replace rmvnorm with mvrnorm see https://stat.ethz.ch/R-manual/R-devel/library/MASS/html/mvrnorm.htm

set.seed(100)

mu    = c( SnP=0.015, FTSE=0.01 )
sigma = c( SnP=0.16,  FTSE=0.2  )

correl = c( 1.0,   0.9,
            0.9,   1.0)

CovMatrix = sigma %*% t(sigma) * matrix(correl,nrow=2,byrow=TRUE)

out = list()

for(year in 1:60) {
  
  x = rmvnorm(10000, mu, CovMatrix)  
  
  out$SnP  = cbind(out$SnP,  x[,"SnP"])
  out$FTSE = cbind(out$FTSE, x[,"FTSE"])
}

write.csv(out$SnP, "C:/Example2/SnP.csv")
write.csv(out$FTSE, "C:/Example2/FTSE.csv")
