# When updating the file paths use a forward slash C:/foo/data.csv or two backward slashes C:\\foo\\data.csv

library(ggplot2)

observations = read.csv("C:/example3_data.csv")

# Density Graph - Observed & Std Normal
p1 = ggplot(mapping=aes(x=Values)) +
  geom_density(data=observations,color="red",size=1.3) +  
  geom_density(data=data.frame(Values=rnorm(100000)),size=1.3)

# Q-Q Plot
p2 = ggplot(data=observations,aes(sample=Values)) +
  stat_qq(distribution = stats::qnorm) +
  geom_abline(slope=1)

# Shapiro-Wilk
sw_results = shapiro.test(observations$Values)
